#include "hybrid.h"

// forward rendering
ArrayXd Hybrid::renderC(const Scene &scene, const RenderOptions &options) const
{
    return pathTracer.renderC(scene, options) + particleTracer.renderC(scene, options);
}
// rendering gradient image
ArrayXd Hybrid::renderD(SceneAD &sceneAD,
                        RenderOptions &options, const ArrayXd &d_image) const
{
    return pathTracer.renderD(sceneAD, options, d_image) + particleTracer.renderD(sceneAD, options, d_image);
}